# Задача 7. Двумерный список
# Как мы говорили ранее, в программировании часто приходится писать код исходя из результата, который требует заказчик.
# В этот раз заказчику нужно получить вот такой двумерный список:
# [[1, 5, 9], [2, 6, 10], [3, 7, 11], [4, 8, 12]]
# Напишите программу, которая генерирует такой список и выводит его на экран. Используйте только list comprehensions.

num_lst = [[i for i in range(i, i+9, 4)] for i in range(1, 5)]

print(num_lst)
